//============================================================================
//  aPCI-8102 for PCI Linux Device Driver
//  apci8102.h
//  Author   K. Fujimaki(ADTEK SYSTEM SCIENCE Co.,Ltd.)
//  Date     2001/07/16
//  Rev.     1.0.0
//============================================================================


#ifndef __INC_APCI8102_H__
#define __INC_APCI8102_H__


//-----------------------------------------------------------
//  Macros to help debugging
//-----------------------------------------------------------

#undef PDEBUG		  /* undef it, just in case */
#ifdef APCI8102_DEBUG
#	ifdef __KERNEL__
		/* This one if debugging is on, and kernel space */
#		define PDEBUG(fmt, args...) printk(KERN_DEBUG "[APCI8102]: " fmt, ## args)
#	else
		/* This one for user space */
#		define PDEBUG(fmt, args...) fprintf(stderr, fmt, ## args)
#	endif
#else
#	define PDEBUG(fmt, args...) /* not debugging: nothing */
#endif

#undef PDEBUGG
#define PDEBUGG(fmt, args...) /* nothing: it's a placeholder */


//-----------------------------------------------------------
//  Miscellaneous
//-----------------------------------------------------------

#define APCI8102_MAX_DEVICES	16		// ǥХ
#define APCI8102_MAX_PORTS	4		// IO ݡȿ


//-----------------------------------------------------------
//  Device I/O Defined
//-----------------------------------------------------------

// Input/Output Ports
#define APCI8102_IO_PORT_A	0x00
#define APCI8102_IO_PORT_B	0x01
#define APCI8102_IO_PORT_C	0x02
#define APCI8102_IO_PORT_D	0x03


//-----------------------------------------------------------
//  Device I/O Control Codes
//-----------------------------------------------------------

#define APCI8102_IOC_MAGIC	'Z'

#define APCI8102_GET_DIRS	_IOR (APCI8102_IOC_MAGIC, 0, unsigned char)
#define APCI8102_SET_DIRS	_IOW (APCI8102_IOC_MAGIC, 1, unsigned char)
#define APCI8102_IN_PORT	_IOWR(APCI8102_IOC_MAGIC, 2, apci8102_io)
#define APCI8102_OUT_PORT	_IOW (APCI8102_IOC_MAGIC, 3, apci8102_io)

#define APCI8102_IOC_MAXNR	3


// TODO:  桼ץꥱȤ̿Ѥǡ¤򤳤˵Ҥޤ

typedef struct _apci8102_io
{
	unsigned int  port;
	unsigned char value;
} apci8102_io, *papci8102_io;


#endif // __INC_APCI8102_H__

