//============================================================================
//  aPCI-8102 Device Driver I/F Control
//  apci8102ctl.h
//  Author    K. Fujimaki(ADTEK SYSTEM SCIENCE Co.,Ltd.)
//  Date      2000/07/16
//  Rev.      1.0.0
//============================================================================

#ifndef __INC_APCI8102CTL_H__
#define __INC_APCI8102CTL_H__

#include "apci8102.h"

#ifdef __cplusplus
extern "C" {
#endif


//----------------------------------------------------------------------------
//  Miscellaneous
//----------------------------------------------------------------------------

#define APCI8102_SLOT_AUTO	((int)~0)	// ̤ѥǥХθ


//----------------------------------------------------------------------------
//  Error Codes
//----------------------------------------------------------------------------

#define APCI8102_OK		 0	// ｪλ
#define APCI8102_ESYSCALL	-1	// ƥॳ륨顼
#define APCI8102_EINVAL		-2	// ʰ
#define APCI8102_ENODEV		-3	// ǥХϸդʤ
#define APCI8102_EBUSY		-4	// ¹ޤϻ
#define APCI8102_ESISR		-5	// ߥ롼ꥨ顼


//----------------------------------------------------------------------------
//  Control Functions
//----------------------------------------------------------------------------

int apci8102_create	(int log_slot);
int apci8102_close	(int log_slot);
int apci8102_get_dirs	(int log_slot, unsigned char* pdirs);
int apci8102_set_dirs	(int log_slot, unsigned char dirs);
int apci8102_inp	(int log_slot, int port, unsigned char* pdata);
int apci8102_outp	(int log_slot, int port, unsigned char data);


#ifdef __cplusplus
}
#endif


#endif // __INC_APCI8102CTL_H__

